Subject: Re: [PATCH 5/8] powerpc: override dma_get_required_mask by platform hook and ops

From: Nishanth Aravamudan <[email-masked]>
Date: Wed, 25 May 2011 11:47:38 -0700

Ben,

On 19.05.2011 [10:46:25 -0700], Nishanth Aravamudan wrote:
> On 19.05.2011 [17:43:56 +1000], Benjamin Herrenschmidt wrote:
> > On Wed, 2011-05-11 at 15:25 -0700, Nishanth Aravamudan wrote:
> > > From: Milton Miller <[email-masked]>
> > > 
> > > The hook dma_get_required_mask is supposed to return the mask required
> > > by the platform to operate efficently.  The generic version of
> > > dma_get_required_mask in driver/base/platform.c returns a mask based
> > > only on max_pfn.  However, this is likely too big for iommu systems
> > > and could be too small for platforms that require a dma offset or have
> > > a secondary window at a high offset.
> > 
> > The result of those 3 patches doesn't build on top of my current tree,
> > the generic dma_ops lacks the dma_get_required_mask hook. I'll have a
> > look again after the merge window.
> 
> Hrm, I think it's because for whatever reason [1] I forgot to cc you on 6/8?
> 
> https://lkml.org/lkml/2011/5/11/473

Were you able to find the patch I refer to above?

Thanks,
Nish

-- 
Nishanth Aravamudan <[email-masked]>
IBM Linux Technology Center